Name:           perl-Compress-Raw-Bzip2
Summary:        Low-level interface to bzip2 compression library
Version:        2.206
Release:        2%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Compress-Raw-Bzip2
Source0:        https://cpan.metacpan.org/modules/by-module/Compress/Compress-Raw-Bzip2-%{version}.tar.gz

BuildRequires:  coreutils findutils gcc make perl-generators perl-interpreter
BuildRequires:  perl-devel bzip2-devel perl(Config) perl(lib) perl(vars) perl(Carp)
BuildRequires:  perl(File::Spec::Functions) perl(bytes) perl(constant) perl(Exporter)
BuildRequires:  perl(strict) perl(warnings) perl(lib) perl(File::Path) perl(File::Temp)
BuildRequires:  perl(XSLoader) perl(threads::shared) perl(overload) perl(Scalar::Util)
BuildRequires:  perl(ExtUtils::Constant) perl(File::Copy) 
BuildRequires:  perl(Test::More) perl(Test::NoWarnings)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
Requires:       perl(XSLoader)

%description
Compress::Raw::Bzip2 provides an interface to the in-memory compression/uncompression
functions from the bzip2 compression library.

Although the primary purpose for the existence of Compress::Raw::Bzip2 is for use by 
the IO::Compress::Bzip2 and IO::Compress::Bunzip2 modules, it can be used on its own 
for simple compression/uncompression tasks.

%prep
%autosetup -n Compress-Raw-Bzip2-%{version}

%build
export BUILD_BZIP2=0 BZIP2_LIB=%{_libdir}
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}" NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
%make_install
%{_fixperms} -c %{buildroot}

%check
make test

%files
%doc Changes README
%{perl_vendorarch}/auto/Compress/
%{perl_vendorarch}/Compress/
%{_mandir}/man3/Compress::Raw::Bzip2.3*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.206-2
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Aug 01 2023 Xiaojie Chen <jackxjchen@tencent.com> - 2.206-1
- Upgrade to upstream version 2.206
- Remove perl(MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.201-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.201-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Jul 28 2022 Xiaojie Chen <jackxjchen@tencent.com> - 2.201-1
- Initial build
